Get scheduler field schema
curl --request GET \
--url https://api.aura-app.ai/v1/booking-links/{id}/fieldsimport requests
url = "https://api.aura-app.ai/v1/booking-links/{id}/fields"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.aura-app.ai/v1/booking-links/{id}/fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aura-app.ai/v1/booking-links/{id}/fields",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aura-app.ai/v1/booking-links/{id}/fields"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aura-app.ai/v1/booking-links/{id}/fields")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aura-app.ai/v1/booking-links/{id}/fields")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": {
"fields": [
{
"enabled": true,
"id": "field_1718000000000",
"key": "monthly_revenue",
"kind": "default",
"label": "What is your monthly revenue?",
"order": 3,
"required": true,
"type": "select",
"multiselect": true,
"options": [
"Under $10k",
"$10k-$50k",
"$50k+"
],
"stage": "preview"
}
]
},
"success": true
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}{
"code": "NOT_FOUND",
"error": "Lead not found",
"success": false,
"requestId": "req_abc123"
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}{
"code": "NOT_FOUND",
"error": "Lead not found",
"success": false,
"requestId": "req_abc123"
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}Booking links
Get scheduler field schema
Retrieve the normalized booking-form field schema for a scheduler — the same unified view the public booking page renders.
Response includes:
- Built-in contact fields (name / email / phone) as
kind: "default"entries, synthesized for legacy links that stored only custom fields - Admin-created questions as
kind: "custom"with type, options, multiselect, and reveal stage - Fields in display order, with soft-disabled fields flagged
enabled: false
Pair with GET /v1/calls/:id/answers to map a call’s answers back to
their questions.
GET
/
v1
/
booking-links
/
{id}
/
fields
Get scheduler field schema
curl --request GET \
--url https://api.aura-app.ai/v1/booking-links/{id}/fieldsimport requests
url = "https://api.aura-app.ai/v1/booking-links/{id}/fields"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.aura-app.ai/v1/booking-links/{id}/fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aura-app.ai/v1/booking-links/{id}/fields",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aura-app.ai/v1/booking-links/{id}/fields"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aura-app.ai/v1/booking-links/{id}/fields")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aura-app.ai/v1/booking-links/{id}/fields")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": {
"fields": [
{
"enabled": true,
"id": "field_1718000000000",
"key": "monthly_revenue",
"kind": "default",
"label": "What is your monthly revenue?",
"order": 3,
"required": true,
"type": "select",
"multiselect": true,
"options": [
"Under $10k",
"$10k-$50k",
"$50k+"
],
"stage": "preview"
}
]
},
"success": true
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}{
"code": "NOT_FOUND",
"error": "Lead not found",
"success": false,
"requestId": "req_abc123"
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}{
"code": "NOT_FOUND",
"error": "Lead not found",
"success": false,
"requestId": "req_abc123"
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}{
"code": "<string>",
"error": "<string>",
"success": false,
"requestId": "<string>"
}Retrieve the normalized booking-form field schema for a scheduler —
the same unified view the public booking page renders.
Response includes:
- Built-in contact fields (name / email / phone) as
kind: "default"entries, synthesized for legacy links that stored only custom fields - Admin-created questions as
kind: "custom"with type, options, multiselect, and reveal stage - Fields in display order, with soft-disabled fields flagged
enabled: false
GET /v1/calls/:id/answers to map a call’s answers back to
their questions.